# Changelog

All notable changes to the **KyuII** engine project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [3.22.0] - 2021-02-24

The executable now generally compiles and works on IA-32 Windows and Linux
systems, though it's very rough around the edges.

### Added

- Added option to compile client-only executable.
- Added option to compile multiplayer-only executable.
- Added option to compile singleplayer-only executable.
- Added CMake build system.

### Changed

- Changed icons and title bars to reflect KyuII branding.
- Extended REF_HARD_LINKED option to Windows and Linux.

### Removed

- Removed crusty old Visual Studio project files.
- Removed crusty old makefile rules.

### Fixed

- Fixed several sources of potential buffer overflows when printing to console.
- Fixed general bitrot that prevented compilation.
