#!/bin/bash

rsvg-convert -h 16 -a -o temp-16.png KyuII.svg
rsvg-convert -h 24 -a -o temp-24.png KyuII.svg
rsvg-convert -h 32 -a -o temp-32.png KyuII.svg
rsvg-convert -h 48 -a -o temp-48.png KyuII.svg
rsvg-convert -h 256 -a -o temp-256.png KyuII.svg

convert temp-16.png -background transparent -gravity Center -extent "16x16" KyuII-16.png
convert temp-24.png -background transparent -gravity Center -extent "24x24" KyuII-24.png
convert temp-32.png -background transparent -gravity Center -extent "32x32" KyuII-32.png
convert temp-48.png -background transparent -gravity Center -extent "48x48" KyuII-48.png
convert temp-256.png -background transparent -gravity Center -extent "256x256" KyuII-256.png

rsvg-convert -h 48 -a -o temp-48.png KyuNode.svg
rsvg-convert -h 256 -a -o temp-256.png KyuNode.svg

convert temp-48.png -background transparent -gravity Center -extent "48x48" KyuNode-48.png
convert temp-256.png -background transparent -gravity Center -extent "256x256" KyuNode-256.png

rsvg-convert -h 48 -a -o temp-48.png KyuNet.svg
rsvg-convert -h 256 -a -o temp-256.png KyuNet.svg

convert temp-48.png -background transparent -gravity Center -extent "48x48" KyuNet-48.png
convert temp-256.png -background transparent -gravity Center -extent "256x256" KyuNet-256.png

rsvg-convert -h 48 -a -o temp-48.png KyuDemo.svg
rsvg-convert -h 256 -a -o temp-256.png KyuDemo.svg

convert temp-48.png -background transparent -gravity Center -extent "48x48" KyuDemo-48.png
convert temp-256.png -background transparent -gravity Center -extent "256x256" KyuDemo-256.png

rsvg-convert -h 48 -a -o temp-48.png KyuArena.svg
rsvg-convert -h 256 -a -o temp-256.png KyuArena.svg

convert temp-48.png -background transparent -gravity Center -extent "48x48" KyuArena-48.png
convert temp-256.png -background transparent -gravity Center -extent "256x256" KyuArena-256.png

convert -background transparent -gravity Center KyuII-16.png KyuII-24.png KyuII-32.png KyuII-48.png KyuII-256.png KyuII.ico
convert -background transparent -gravity Center KyuII-16.png KyuII-24.png KyuII-32.png KyuNode-48.png KyuNode-256.png KyuNode.ico
convert -background transparent -gravity Center KyuII-16.png KyuII-24.png KyuII-32.png KyuNet-48.png KyuNet-256.png KyuNet.ico
convert -background transparent -gravity Center KyuII-16.png KyuII-24.png KyuII-32.png KyuDemo-48.png KyuDemo-256.png KyuDemo.ico
convert -background transparent -gravity Center KyuII-16.png KyuII-24.png KyuII-32.png KyuArena-48.png KyuArena-256.png KyuArena.ico

rsvg-convert -h 16 -a -o temp-16.png Quake2.svg
rsvg-convert -h 24 -a -o temp-24.png Quake2.svg
rsvg-convert -h 32 -a -o temp-32.png Quake2.svg
rsvg-convert -h 48 -a -o temp-48.png Quake2.svg
rsvg-convert -h 256 -a -o temp-256.png Quake2.svg

convert temp-16.png -background transparent -gravity Center -extent "16x16" Quake2-16.png
convert temp-24.png -background transparent -gravity Center -extent "24x24" Quake2-24.png
convert temp-32.png -background transparent -gravity Center -extent "32x32" Quake2-32.png
convert temp-48.png -background transparent -gravity Center -extent "48x48" Quake2-48.png
convert temp-256.png -background transparent -gravity Center -extent "256x256" Quake2-256.png

convert -background transparent -gravity Center Quake2-16.png Quake2-24.png Quake2-32.png Quake2-48.png Quake2-256.png Quake2.ico

rsvg-convert -h 16 -a -o temp-16.png KyuI.svg
rsvg-convert -h 24 -a -o temp-24.png KyuI.svg
rsvg-convert -h 32 -a -o temp-32.png KyuI.svg
rsvg-convert -h 48 -a -o temp-48.png KyuI.svg
rsvg-convert -h 256 -a -o temp-256.png KyuI.svg

convert temp-16.png -background transparent -gravity Center -extent "16x16" KyuI-16.png
convert temp-24.png -background transparent -gravity Center -extent "24x24" KyuI-24.png
convert temp-32.png -background transparent -gravity Center -extent "32x32" KyuI-32.png
convert temp-48.png -background transparent -gravity Center -extent "48x48" KyuI-48.png
convert temp-256.png -background transparent -gravity Center -extent "256x256" KyuI-256.png

convert -background transparent -gravity Center KyuI-16.png KyuI-24.png KyuI-32.png KyuI-48.png KyuI-256.png KyuI.ico

rsvg-convert -h 16 -a -o temp-16.png KyuIII.svg
rsvg-convert -h 24 -a -o temp-24.png KyuIII.svg
rsvg-convert -h 32 -a -o temp-32.png KyuIII.svg
rsvg-convert -h 48 -a -o temp-48.png KyuIII.svg
rsvg-convert -h 256 -a -o temp-256.png KyuIII.svg

convert temp-16.png -background transparent -gravity Center -extent "16x16" KyuIII-16.png
convert temp-24.png -background transparent -gravity Center -extent "24x24" KyuIII-24.png
convert temp-32.png -background transparent -gravity Center -extent "32x32" KyuIII-32.png
convert temp-48.png -background transparent -gravity Center -extent "48x48" KyuIII-48.png
convert temp-256.png -background transparent -gravity Center -extent "256x256" KyuIII-256.png

convert -background transparent -gravity Center KyuIII-16.png KyuIII-24.png KyuIII-32.png KyuIII-48.png KyuIII-256.png KyuIII.ico

rm temp-*
